package com.dcs.common.enums;

/**
 * GeneralStatus
 * status通用状态 枚举类
 * @author: hmy
 * @date: 2025/4/28 10:43
 */
public enum GeneralStatus {
    ENABLE("0", "启用"), DISABLE("1", "停用"), DELETED("2", "已删除");

    private final String code;
    private final String info;

    GeneralStatus(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }
}